org.springframework.web.socket.config.annotation

## Interface StompEndpointRegistry

All Known Implementing Classes:
  WebMvcStompEndpointRegistry

    public interface StompEndpointRegistry

A contract for registering STOMP over WebSocket endpoints.

Since:
  4.0
Author:
  Rossen Stoyanchev

### Method Summary

All Methods Instance Methods Abstract Methods
`StompWebSocketEndpointRegistration` `addEndpoint(String... paths)` Register a STOMP over WebSocket endpoint at the given mapping path.
`WebMvcStompEndpointRegistry` `setErrorHandler(StompSubProtocolErrorHandler errorHandler)` Configure a handler for customizing or handling STOMP ERROR frames to clients.
`void` `setOrder(int order)` Set the order of the `HandlerMapping` used for STOMP endpoints relative to other Spring MVC handler mappings.
`void` `setUrlPathHelper(org.springframework.web.util.UrlPathHelper urlPathHelper)` Configure a customized `UrlPathHelper` for the STOMP endpoint `HandlerMapping`.

### Method Detail

#### addEndpoint

    StompWebSocketEndpointRegistration addEndpoint(String... paths)

Register a STOMP over WebSocket endpoint at the given mapping path.

#### setOrder

    void setOrder(int order)

Set the order of the `HandlerMapping` used for STOMP endpoints relative to other Spring MVC handler mappings.

By default this is set to 1.

#### setUrlPathHelper

    void setUrlPathHelper(org.springframework.web.util.UrlPathHelper urlPathHelper)

Configure a customized `UrlPathHelper` for the STOMP endpoint `HandlerMapping`.

#### setErrorHandler

    WebMvcStompEndpointRegistry setErrorHandler(StompSubProtocolErrorHandler errorHandler)

Configure a handler for customizing or handling STOMP ERROR frames to clients.

Parameters:
  `errorHandler` - the error handler
Since:
  4.2